#include <iostream>
using namespace std;

const int SIZE = 100;

void fillArray(int *a, int n) {
	for(int i = 0; i < n; ++i) {
		// Четим начин: оператор [].
		a[i] = i;
	}
}

void printArray(int *a, int n) {
	for(int i = 0; i < n; ++i) {
		// Указателна аритметика.
		cout << *(a + i) << " ";
	}
	cout << endl;
}

// Оператор [] всъшност е реализиран,
// с оператор *(<масив> + <индекс>).

int main() {

	int a[SIZE] = {};
	fillArray(a, SIZE);
	printArray(a, SIZE);

	return 0;
}
